Name:		OmegaT
%define namer	omegat
Summary:	Computer Aid Translation tool
Version:	1.7.3_02
Release:	1%{?dist}
Source:		http://downloads.sourceforge.net/omegat/%{name}_%{version}_Source.zip
Url:		http://www.omegat.org/
Group:		Applications/Text
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	ant, java-devel
BuildRequires:  desktop-file-utils
Requires:	jre
License:	GPLv2
BuildArch: 	noarch
Patch1:		OmegaT-04-get-rid-of-MRJAdapter.patch
Patch2:		OmegaT-extra-jars-in-new-location.patch

%description
OmegaT is a free translation memory application written in Java.
It is a tool intended for professional translators. It does not
translate for you!

OmegaT has the following features:

 * Fuzzy matching
 * Match propagation
 * Simultaneous processing of multiple-file projects
 * Simultaneous use of multiple translation memories
 * External glossaries
 * Document file formats:
    XHTML and HTML
    Microsoft Office 2007 XML
    OpenOffice.org/StarOffice
    XLIFF (Okapi)
    MediaWiki (Wikipedia)
    Plain text
 * Unicode (UTF-8) support: can be used with non-Latin alphabets
 * Support for right-to-left languages
 * Compatible with other translation memory applications (TMX)

%prep
%setup -q -c -n %{name}-%{version}
%patch1 -p1
#### %patch2 -p1

#### required but pending cause lib-mnemonics.jar find . -name \*.jar -exec rm {} . \;

%build

ant jar release

%install 
rm -Rf $RPM_BUILD_ROOT

#install our jar file
#make some install dirs
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{namer}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{namer}/docs
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{namer}/images
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}

install -pm  0755 dist/OmegaT.jar $RPM_BUILD_ROOT%{_datadir}/%{namer}/OmegaT.jar
cp -pR dist/index.html dist/docs/ dist/images/ dist/OmegaT.jar $RPM_BUILD_ROOT%{_datadir}/%{namer}/


# this directory should dissapear as soon the internal jars dissapear:
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{namer}/lib
cp -pR  dist/lib/  $RPM_BUILD_ROOT%{_datadir}/%{namer}/
rm $RPM_BUILD_ROOT%{_datadir}/%{namer}/lib/MRJAdapter.jar

## now we used the packaged icon, not sure if it's a problem to use it from /usr/share/omegat/images/OmegaT.png
## install -p %SOURCE1 $RPM_BUILD_ROOT/%{_iconsdir}/%{namer}.png

#create our launch wrapper script
cat > $RPM_BUILD_ROOT%{_bindir}/%{namer} <<EOF
#!/bin/sh
java -jar %{_datadir}/%{namer}/OmegaT.jar

EOF

#make our launch wrapper executable
chmod +x $RPM_BUILD_ROOT%{_bindir}/*


#Menu entry
install -d -m755 %{buildroot}%{_datadir}/applications

cat > %{buildroot}%{_datadir}/applications/fedora-%{namer}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=%name
Exec=%{namer}
Icon=/usr/share/omegat/images/OmegaT.png
Comment=Computer Aid Translation tool
Comment[es]=Herramienta de asistencia a la traducción
Terminal=false
Type=Application
X-Desktop-File-Install-Version=0.10
Categories=Development;Translation;Java;
X-AppInstall-Package=%{namer}
EOF

desktop-file-install  --vendor "fedora" --dir=%{buildroot}%{_datadir}/applications/ %{buildroot}%{_datadir}/applications/fedora-%{namer}.desktop 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%dir %{_datadir}/%{namer}
%{_bindir}/*
%{_datadir}/%{namer}/*
%{_datadir}/applications/fedora-%{namer}.desktop
#%{_iconsdir}/%{namer}.png

%doc dist/changes.txt dist/doc-license.txt dist/license.txt dist/readme*.txt 

%changelog
* Fri Jul 4 2008 Ismael Olea <ismael@olea.org> 1.7.3_02-1olea
- updating to 1.7.3_02 version

* Mon Feb 11 2008 Ismael Olea <ismael@olea.org> 1.7.3-5olea
- fixing according to https://bugzilla.redhat.com/show_bug.cgi?id=428798#c3
- comments on https://bugzilla.redhat.com/show_bug.cgi?id=428798#c4

* Sun Feb 10 2008 Ismael Olea <ismael@olea.org> 1.7.3-4olea
- fixing according to https://bugzilla.redhat.com/show_bug.cgi?id=428798#c1

* Mon Jan 21 2008 Ismael Olea <ismael@olea.org> 1.7.3-3olea
- rpmlinting

* Wed Jan 9 2008 Ismael Olea <ismael@olea.org> 1.7.3-2olea
- Compiling from sources

* Wed Jan 9 2008 Ismael Olea <ismael@olea.org> 1.7.3-1olea
- updating to 1.7.3

* Wed Jan 9 2008 Ismael Olea <ismael@olea.org> 1.7.2-1olea
- compiling on Fedora

* Fri Nov 12 2007 Patred Theknight <edupclos@gmail.com>1.7.2-1pclos_edulos
- Initial Build 
